LPSTAT(1)

NAME
lpstat - display the printer status information

SYNOPSIS
lpstat [ -d ] [ -r ] [ -s ] [ -t ] [ -a [ list ]] [ -c [ list ]]
[ -o [ list ]] [ -p [ list ]]
[ -u [ list ]] [ -v [ list ]]

DESCRIPTION

lpstat prints information about the current status of the printer spooling system.

If no options are given, then lpstat prints the status of all requests made to lp(1) by the user. When the destination printer is not explicitly specified, the value of the LPDEST environment variable is used by default. If LPDEST is not defined, then the value of the PRINTER environment variable is used. If PRINTER is not defined either, then the system default printer is used. Any arguments that are not options are assumed to be request ids (as returned by lp). lpstat prints the status of such requests.

OPTIONS

The options below may appear in any order and may be repeated and intermixed with other arguments. Some of the options below may be followed by an optional list that can be in one of two forms: a list of items separated from one another by a comma, or a list of items enclosed in double quotes and separated from one another by a comma and/or one or more SPACE characters. For example:

    -u"user1, user2, user3"

The omission of a list following such options prints all information relevant to the option, for example:

    lpstat -o

prints the status of all output requests.

-d  Print the system default destination for output requests.

-r  Print the status of the printer request scheduler

-s  Print a status summary, including the status of the line printer scheduler, the system default destination, a list of class names and their members, and a list of printers and their associated devices.

-t  Print all status information.

-a[list]
    Print acceptance status of destinations for output requests. list is a list of intermixed printer names.

-c[list]
    Print class names and their members. list is a list of class names.

-o[list]
    Print the status of output requests. list is a list of intermixed printer names, class names, and request ids.

-p[list]
    Print the status of printers. list is a list of printer names.

-u[list]
    Print status of output requests for users on the default printer. list is a list of login names.

-v[list]
    Print the names of printers and the path names of the devices associated with them. list is a list of printer names.

FILES
/usr/spool/lp

SEE ALSO
lp(1), lpr(1), lprm(1), lpc(8), lpd(8)